Linux

Ubuntu melakukan Backport update aplikasi ke Ubuntu 20.04 LTS

ubuntu melakukan backport

Ubuntu 20.04 LTS hadir dengan Thunderbird 68.x tetapi versi ini tidak lagi mendukung upstream. Ini membuat pengembang Ubuntu akan mengalami masalah: melakukan backport perbaikan keamanan individu ke Thunderbird 68, atau mem-porting Thunderbird 78 yang lebih baru ke pengguna LTS?

Maklum, pengembang Ubuntu telah memilih pilihan terakhir.

Thunderbird 68 tidak lagi mendapat dukungan oleh hulu. Kami tidak mengharapkan praktis untuk melakukan backport perbaikan keamanan ke Focal tanpa batas.

Oleh karena itu menjadi perlu untuk pindah ke Thunderbird 78.x, .

jelas Oliver Tilloy dari Ubuntu

Kami mencoba membayangkan beberapa orang yang membaca ini akan terkejut mengetahui bahwa Ubuntu tidak secara otomatis mem-backport versi baru Thunderbird saat rilis.

Bagaimanapun, itu menyediakan pembaruan yang sering untuk Mozilla Firefox.

Nah, Anda perlu ingat bahwa stabilitas adalah nilai jual utama dari rilis dukungan jangka panjang. Dan stabilitas hanya datang dari memiliki fondasi yang kokoh dari potongan-potongan yang dapat menjadi andalan dan saling terkait.

Ubuntu melakukan Backport Thunderbird 78

Ubuntu melakukan Backport untuk aplikasi terbaru

Rilis fitur baru itu keren, tetapi juga buruk: membawa bug, konflik paket, regresi, dan ketidakpastian lainnya, ketidakpastian yang dapat memengaruhi bagian lain dari sistem.

Tanpa menyinggung alasan inilah mengapa aplikasi Snap tercipta; untuk memungkinkan pengguna LTS dengan aman menggunakan perangkat lunak yang lebih baru pada rilis lama, yang terpisah dari sistem lainnya.

Seolah untuk menggarisbawahi sifat kehati-hatian yang menjadi kebutuhan, pengembang Ubuntu memperingatkan “gangguan” yang akan datang dari upgrade rilis stabil ini.

Enigmail, misalnya, sekarang sudah tidak digunakan lagi karena Thunderbird memiliki solusi PGP asli.

Ini akan memengaruhi pengguna LTS yang mengandalkan plugin (belum lagi beberapa plugin lain yang belum mendapat pembaruan untuk bekerja dengan Thunderbird 78.x).

Pengguna Ubuntu 20.04 yang tidak ingin memperbarui di luar Thunderbird 68.x dapat menginstruksikan apt untuk menahan atau menyematkan paket.

Tetapi ini tidak disarankan karena paket tidak akan lagi menerima pembaruan keamanan.

catatan Tilloy

Sebenarnya kami cukup khawatir dengan model Backport ini. Tapi seharusnya pengembang sudah akan paham tentang bagaimana mengatasi bug yang mungkin akan hadir.

Sementara untuk aplikasi seperti Thunderbird, Firefox, kami tidak menggunakannya, meski kami juga menggunakan Ubuntu versi 20.04 LTS.

Comments

Most Popular

To Top